Zum Inhalt springen

database_api.list_decline_voting_rights_requests ​

since HF14

Purpose ​

Gibt eine Liste von Anfragen auf Verzicht der Stimmrechte zurück. Parameter: start:object; limit:int; order:string

  • start hängt von order ab (siehe unten)
  • limit - bis zu 1000.
  • order kann einer der folgenden sein:
    • by_account - Ordnung nach Konto
      • start ist ein String: account
    • by_effective_date - Ordnung nach wirksamem Datum (effective date)
      • start ist ein Array aus zwei Werten: timestamp, account

| start (object) | limit (int) | order (string) | | |----------------------------|---------------|-| | "" | 10 | "by_account" | Abfrage der ersten 10 Anfragen, sortiert nach Konto | | ["1960-01-01T00:00:00", ""] | 10 | "by_effective_date" | Abfrage der ersten 10 Anfragen, sortiert nach wirksamem Datum |

Siehe auch: Paginated API Methods

Parameters ​

PARAMETERS
json
{
  "start": null,
  "limit": 0,
  "order": "by_name"
}

Example ​

Example 1 ​

BASH
bash
curl -s https://api.steemit.com \
  -H 'Content-Type: application/json' \
  --data-binary '{
    "jsonrpc": "2.0",
    "method": "database_api.list_decline_voting_rights_requests",
    "params": {
      "start": "",
      "limit": 10,
      "order": "by_account"
    },
    "id": 1
  }'

Example 2 ​

BASH
bash
curl -s https://api.steemit.com \
  -H 'Content-Type: application/json' \
  --data-binary '{
    "jsonrpc": "2.0",
    "method": "database_api.list_decline_voting_rights_requests",
    "params": {
      "start": [
        "1970-01-01T00:00:00",
        "",
        ""
      ],
      "limit": 10,
      "order": "by_effective_date"
    },
    "id": 1
  }'

Response ​

RESPONSE
json
{
  "requests": []
}